C$Procedure  INDXYZ  ( return voxel index )
 
      INTEGER FUNCTION INDXYZ ( VIXYZ, NVOX )
 
C$ Abstract
C
C     Given a voxel's grid coordinates and the voxel grid
C     dimensions, return the voxel's index.
C
C$ Copyright
C
C     Copyright (1999), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     None.
C
C$ Keywords
C
C     VOXEL
C
C$ Declarations
 
      IMPLICIT              NONE
 
      INTEGER               NVOX   ( 3 )
      INTEGER               VIXYZ  ( 3 )
 
C$ Brief_I/O
C
C     VARIABLE  I/O  DESCRIPTION
C     --------  ---  --------------------------------------------------
C     VIXYZ      I   Voxel's grid coordinates stored in a
C                    three-dimensional vector.
C     NVOX       I   Number of voxels in each coordinate direction.
C
C     The function returns the voxel index.
C
C$ Detailed_Input
C
C     VIXYZ      Voxel's grid coordinates stored in a
C                three-dimensional vector.
C     NVOX       Number of voxels in each coordinate direction.
C
C$ Detailed_Output
C
C     The function returns the value of the voxel index.
C
C$ Parameters
C
C     None.
C
C$ Files
C
C     None.
C
C$ Exceptions
C
C     Error free.
C
C$ Particulars
C
C     Later.
C
C$ Examples
C
C     Later.
C
C$ Restrictions
C
C     None.
C
C$ Author_and_Institution
C
C     J.A. Bytof      (JPL)
C
C$ Literature_References
C
C     None.
C
C$ Version
C
C-    Plate Library Version 1.0.1, 19-FEB-2000 (JAB)
C
C        Removed SAVEd variables.
C
C-    Plate Library Version 1.0.0, 04-FEB-1999 (JAB)
C
C-&
 
C$ Index_Entries
C
C     given a voxel's coordinates return the voxel index
C
C-&
 
 
      INTEGER               NX
      INTEGER               NXNY
      INTEGER               NXNY2
      INTEGER               NY
 
C
C     Generate conversion coefficients.
C
      NX = NVOX(1)
      NY = NVOX(2)
 
      NXNY  = NX * NY
      NXNY2 = NX + NXNY
 
C
C     Convert from voxel coordinates to voxel index.
C
      INDXYZ = VIXYZ(1) + VIXYZ(2)*NX + VIXYZ(3)*NXNY - NXNY2
 
 
      RETURN
      END
