C$Procedure  IPACK3  ( pack voxel index vector )
 
      SUBROUTINE IPACK3 ( IX, IY, IZ, VXLST )
 
C$ Abstract
C
C     Place voxel indices in an integer vector.
C
C$ Copyright
C
C     Copyright (1999), California Institute of Technology.
C     U.S. Government sponsorship acknowledged.
C
C$ Required_Reading
C
C     None.
C
C$ Keywords
C
C     VOXEL
C
C$ Declarations
 
      IMPLICIT NONE
 
      INTEGER               IX
      INTEGER               IY
      INTEGER               IZ
      INTEGER               VXLST    ( 3 )
 
C$ Brief_I/O
C
C    VARIABLE  I/O  DESCRIPTION
C    --------  ---  --------------------------------------------------
C     IX        I   Voxel X-index.
C     IY        I   Voxel Y-index.
C     IZ        I   Voxel Z-index.
C     VXLST     O   Vector containing the voxel indices as elements.
C
C$ Detailed_Input
C
C     IX        Voxel X-index.
C
C     IY        Voxel Y-index.
C
C     IZ        Voxel Z-index.
C
C$ Detailed_Output
C
C     VXLST     Vector containing the voxel indices as elements.
C
C$ Parameters
C
C     None.
C
C$ Files
C
C     None.
C
C$ Exceptions
C
C     Error free.
C
C$ Particulars
C
C     Later.
C
C$ Examples
C
C     Later.
C
C$ Restrictions
C
C     None.
C
C$ Author_and_Institution
C
C     J.A. Bytof      (JPL)
C
C$ Literature_References
C
C     None.
C
C$ Version
C
C-    SPICELIB Version 1.0.0, 04-FEB-1999 (JAB)
C
C
C-&
 
C$ Index_Entries
C
C      pack voxel indices into a vector
C
C-&

      VXLST(1) = IX
      VXLST(2) = IY
      VXLST(3) = IZ
 
      RETURN
      END
